## org.mariadb.jdbc.internal.util.scheduler
Class MariaDbThreadFactory

    java.lang.Object
      org.mariadb.jdbc.internal.util.scheduler.MariaDbThreadFactory

All Implemented Interfaces:
  ThreadFactory

    public class MariaDbThreadFactory

extends Object
implements ThreadFactory

Constructor Summary
`MariaDbThreadFactory(String poolName)`

Method Summary
`Thread` `newThread(Runnable runnable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MariaDbThreadFactory

    public MariaDbThreadFactory(String poolName)

Method Detail

### newThread

    public Thread newThread(Runnable runnable)

  Specified by:
    `newThread` in interface `ThreadFactory`

Copyright © 2017. All rights reserved.